%define majver %(echo %version | cut -d. -f1-2)
Name:          highlight
Version:       4.15
Release:       1mamba
Summary:       A universal source code to formatted text converter
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://andre-simon.de/doku/highlight/highlight.html
Source:        http://www.andre-simon.de/zip/highlight-%{version}.tar.bz2
Patch:         highlight-2.15-doc_dir.patch
Patch1:        highlight-3.33-termcap.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: liblua-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
## AUTOBUILDREQ-END

%description
Highlight converts source code to formatted text with syntax highlighting.

* Coloured output in HTML, XHTML, RTF, TeX, LaTeX, SVG, BBCode and XML format
* Supports 150+ programming languages
* Includes 40 colour themes
* Recognizes nested languages
* CLI, GUI and Lib builds available
* Platform independent

%package gui
Summary:       highlight frontend
Group:         Graphical Desktop/Applications/Development
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gui
Highlight converts source code to formatted text with syntax highlighting.

* Coloured output in HTML, XHTML, RTF, TeX, LaTeX, SVG, BBCode and XML format
* Supports 150+ programming languages
* Includes 40 colour themes
* Recognizes nested languages
* CLI, GUI and Lib builds available
* Platform independent

This package contains the Qt-based GUI.


%prep
%setup -q -n %{name}-%{majver}
%patch 1 -p1

%build
%make clean all gui \
   LUA_PKG_NAME=lua \
   doc_dir=%{_defaultdocdir}/%{name}-%{version}/

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_datadir}/{applications,pixmaps}
install -d %{buildroot}%{_bindir}

%makeinstall install-gui

desktop-file-install \
   --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop

# Remove documentation
rm -rf %{buildroot}%{_defaultdocdir}

# Remove this example to avoid incorrect perl provides and requires
rm -rf examples/plugins/movabletype

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/highlight
%{_bindir}/highlight
%dir %{_datadir}/highlight
%{_datadir}/highlight/*
%{_datadir}/bash-completion/completions/highlight
%{_datadir}/fish/vendor_completions.d/highlight.fish
%{_datadir}/zsh/site-functions/_highlight
%{_mandir}/man1/highlight.1*
%{_mandir}/man5/filetypes.conf.5*
%doc AUTHORS COPYING

%files gui
%defattr(-,root,root,-)
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/icons/hicolor/*/apps/highlight.png
#%doc ChangeLog README* TODO examples

%changelog
* Wed Jan 08 2025 Automatic Build System <autodist@openmamba.org> 4.15-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 4.14-1mamba
- automatic version update by autodist

* Mon Aug 12 2024 Automatic Build System <autodist@openmamba.org> 4.13-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 4.12-1mamba
- automatic version update by autodist

* Tue May 21 2024 Automatic Build System <autodist@openmamba.org> 4.11-1mamba
- automatic version update by autodist

* Mon Feb 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10-1mamba
- update to 4.10

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Thu Apr 01 2021 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.62-1mamba
- automatic version update by autodist

* Sun Feb 14 2021 Automatic Build System <autodist@mambasoft.it> 3.61-1mamba
- automatic version update by autodist

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 3.60-1mamba
- automatic version update by autodist

* Tue Nov 17 2020 Automatic Build System <autodist@mambasoft.it> 3.59-1mamba
- automatic version update by autodist

* Sun Sep 13 2020 Automatic Build System <autodist@mambasoft.it> 3.58-1mamba
- automatic version update by autodist

* Sat May 16 2020 Automatic Build System <autodist@mambasoft.it> 3.57-1mamba
- automatic version update by autodist

* Sun Apr 12 2020 Automatic Build System <autodist@mambasoft.it> 3.56-1mamba
- automatic version update by autodist

* Fri Jan 31 2020 Automatic Build System <autodist@mambasoft.it> 3.55-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 3.54-1mamba
- automatic version update by autodist

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 3.53-1mamba
- automatic version update by autodist

* Wed May 29 2019 Automatic Build System <autodist@mambasoft.it> 3.52-1mamba
- automatic version update by autodist

* Sat May 18 2019 Automatic Build System <autodist@mambasoft.it> 3.51-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 3.50-1mamba
- automatic version update by autodist

* Mon Mar 18 2019 Automatic Build System <autodist@mambasoft.it> 3.49-1mamba
- automatic version update by autodist

* Sat Dec 15 2018 Automatic Build System <autodist@mambasoft.it> 3.48-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 3.47-1mamba
- automatic version update by autodist

* Sun Oct 07 2018 Automatic Build System <autodist@mambasoft.it> 3.46-1mamba
- automatic version update by autodist

* Sun Oct 07 2018 Automatic Build System <autodist@mambasoft.it> 3.45-1mamba
- automatic version update by autodist

* Sat Aug 25 2018 Automatic Build System <autodist@mambasoft.it> 3.44-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 3.25-1mamba
- automatic version update by autodist

* Sat Aug 08 2015 Automatic Build System <autodist@mambasoft.it> 3.23-1mamba
- automatic version update by autodist

* Tue Feb 24 2015 Automatic Build System <autodist@mambasoft.it> 3.22-1mamba
- automatic version update by autodist

* Tue Feb 03 2015 Automatic Build System <autodist@mambasoft.it> 3.21-1mamba
- automatic version update by autodist

* Wed Dec 03 2014 Automatic Build System <autodist@mambasoft.it> 3.20-1mamba
- automatic version update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 3.19-1mamba
- automatic version update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 3.18-1mamba
- automatic version update by autodist

* Fri Jan 17 2014 Automatic Build System <autodist@mambasoft.it> 3.17-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Thu Oct 03 2013 Automatic Build System <autodist@mambasoft.it> 3.16-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 3.15-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 3.14-1mamba
- automatic version update by autodist

* Tue Apr 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.13-1mamba
- update to 3.13

* Fri Feb 24 2012 Automatic Build System <autodist@mambasoft.it> 3.7-1mamba
- automatic version update by autodist

* Tue Jun 22 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.16-1mamba
- update to 2.16

* Wed Mar 31 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.15-1mamba
- package created by autospec
